umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

component.cpp File Reference
`#include "component.h"`
`#include "association.h"`
`#include "debug_utils.h"`
`#include "object_factory.h"`
`#include "model_utils.h"`
`#include "clipboard/idchangelog.h"`
`#include "optionstate.h"`
`#include "umldoc.h"`
`#include "uml.h"`
`#include <KLocalizedString>`